# studio::CellRenderer_ValueBase Class Reference

`#include <cellrenderer_value.h>`

List of all members.

## Public Member Functions

sigc::signal< void, const Glib::ustring & > & | signal_secondary_click ()
sigc::signal< void, const Glib::ustring &, synfig::ValueBase > & | signal_edited ()
Glib::PropertyProxy < synfig::ValueBase > | property_value ()
Glib::PropertyProxy < etl::handle< synfig::Canvas > > | property_canvas ()
Glib::PropertyProxy < synfig::ParamDesc > | property_param_desc ()
Glib::PropertyProxy< bool > | property_inconsistent ()
etl::handle< synfig::Canvas > | get_canvas () const
synfig::ParamDesc | get_param_desc () const
| CellRenderer_ValueBase ()
| ~CellRenderer_ValueBase ()
void | on_value_editing_done ()
virtual void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &window, Gtk::Widget &widget, const Gdk::Rectangle &background_area, const Gdk::Rectangle &ca, const Gdk::Rectangle &expose_area, Gtk::CellRendererState flags)
virtual Gtk::CellEditable * | start_editing_vfunc (GdkEvent *event, Gtk::Widget &widget, const Glib::ustring &path, const Gdk::Rectangle &background_area, const Gdk::Rectangle &cell_area, Gtk::CellRendererState flags)

## Public Attributes

ValueBase_Entry * | value_entry

## Constructor & Destructor Documentation

CellRenderer_ValueBase::CellRenderer_ValueBase | ( |  | ) |

References property_inconsistent(), and value_entry.

CellRenderer_ValueBase::~CellRenderer_ValueBase | ( |  | ) |

## Member Function Documentation

sigc::signal<void, const Glib::ustring&>& studio::CellRenderer_ValueBase::signal_secondary_click | ( |  | ) | `[inline]`

sigc::signal<void, const Glib::ustring&, synfig::ValueBase>& studio::CellRenderer_ValueBase::signal_edited | ( |  | ) | `[inline]`

Referenced by studio::ChildrenTree::ChildrenTree().

Glib::PropertyProxy<synfig::ValueBase> studio::CellRenderer_ValueBase::property_value | ( |  | ) | `[inline]`

Referenced by studio::CanvasTreeStore::add_cell_renderer_value(), and studio::ChildrenTree::ChildrenTree().

Glib::PropertyProxy<etl::handle<synfig::Canvas> > studio::CellRenderer_ValueBase::property_canvas | ( |  | ) | `[inline]`

Referenced by studio::CanvasTreeStore::add_cell_renderer_value().

Glib::PropertyProxy<synfig::ParamDesc> studio::CellRenderer_ValueBase::property_param_desc | ( |  | ) | `[inline]`

Glib::PropertyProxy<bool> studio::CellRenderer_ValueBase::property_inconsistent | ( |  | ) | `[inline]`

Referenced by CellRenderer_ValueBase().

etl::handle<synfig::Canvas> studio::CellRenderer_ValueBase::get_canvas | ( |  | ) | const`[inline]`

Referenced by render_vfunc().

synfig::ParamDesc studio::CellRenderer_ValueBase::get_param_desc | ( |  | ) | const`[inline]`

void CellRenderer_ValueBase::on_value_editing_done | ( |  | ) |

References value_entry.

void CellRenderer_ValueBase::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | window,
|  | Gtk::Widget & | widget,
|  | const Gdk::Rectangle & | background_area,
|  | const Gdk::Rectangle & | ca,
|  | const Gdk::Rectangle & | expose_area,
|  | Gtk::CellRendererState | flags |
| ) |  |  | `[virtual]`

References _, studio::App::distance_system, get_canvas(), studio::App::get_time_format(), studio::render_color_to_window(), and studio::render_gradient_to_window().

virtual Gtk::CellEditable* studio::CellRenderer_ValueBase::start_editing_vfunc | ( | GdkEvent * | event,
|  | Gtk::Widget & | widget,
|  | const Glib::ustring & | path,
|  | const Gdk::Rectangle & | background_area,
|  | const Gdk::Rectangle & | cell_area,
|  | Gtk::CellRendererState | flags |
| ) |  |  | `[virtual]`

## Member Data Documentation

ValueBase_Entry* studio::CellRenderer_ValueBase::value_entry

Referenced by CellRenderer_ValueBase(), and on_value_editing_done().

The documentation for this class was generated from the following files:

- cellrenderer_value.h
- cellrenderer_value.cpp